List Presets
List system preset personas.
Requires persona:read permission and team_id query parameter. The user’s JWT must be scoped to that team.
curl --request GET \
--url https://api.example.com/v1/personas/presets/import requests
url = "https://api.example.com/v1/personas/presets/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/personas/presets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/personas/presets/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"created_at": 123,
"updated_at": 123,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"role_description": "<string>",
"knowledge_level": "intermediate",
"skill_level": "competent",
"intent": "benign",
"language": "en",
"access_permissions": {
"privilege_level": "user",
"allowed_agents": [
"<string>"
],
"allowed_tools": [
"<string>"
],
"restricted_actions": [
"<string>"
],
"data_access_scope": "own"
},
"is_preset": false,
"preset_category": "<string>",
"tags": [
"<string>"
],
"icon_filename": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Team scope (required); must match a team the user has access to
Filter by preset category: professional, adversarial, support
Maximum number of results
1 <= x <= 250Number of results to skip
x >= 0Response
Successful Response
Response model for listing personas with pagination.
- results: Items in the current page (length may be less than limit on last page).
- total: Total number of items matching the query, before pagination.
Hide child attributes
Hide child attributes
Knowledge level of the persona.
beginner, intermediate, advanced, expert Skill level of the persona.
novice, competent, proficient, expert Intent type of the persona.
benign, curious, adversarial, malicious Access permissions for persona - used for test scenario definition.
NOTE: This is NOT for actual RBAC enforcement - it defines expected access for generating test cases to verify agent access control.
- PersonaAccessPermissions
- Access Permissions
Hide child attributes
Hide child attributes
Privilege level for persona access control testing.
guest, user, power_user, admin, super_admin Data access scope for persona testing.
own, team, organization, global Was this page helpful?
curl --request GET \
--url https://api.example.com/v1/personas/presets/import requests
url = "https://api.example.com/v1/personas/presets/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/personas/presets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/personas/presets/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"created_at": 123,
"updated_at": 123,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"role_description": "<string>",
"knowledge_level": "intermediate",
"skill_level": "competent",
"intent": "benign",
"language": "en",
"access_permissions": {
"privilege_level": "user",
"allowed_agents": [
"<string>"
],
"allowed_tools": [
"<string>"
],
"restricted_actions": [
"<string>"
],
"data_access_scope": "own"
},
"is_preset": false,
"preset_category": "<string>",
"tags": [
"<string>"
],
"icon_filename": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}